## libpng 1.2.49-1maemo1+0cssu3+thumb0

=== debian/changelog ===
libpng (1.2.49-1maemo1+0cssu3+thumb0) unstable; urgency=low

  * Thumb2 compiled

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 06 Jan 2013 09:47:11 +0200

libpng (1.2.49-1maemo1+0cssu3) unstable; urgency=low

  * add APNG support

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Thu, 03 Jan 2013 21:06:12 +0200

libpng (1.2.49-1maemo1+0cssu2+thumb0) unstable; urgency=low

  * Thumb2 compiled

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Tue, 31 Dec 2012 12:26:43 +0200

libpng (1.2.49-1maemo1+0cssu2) unstable; urgency=low

  * Backport ARM NEON optimizations from
    libpng.sourceforge.net - ~30% faster decoding

 -- Ludek Finstrle <luf@pzkagis.cz>  Fri, 28 Dec 2012 20:30:40 +0100

libpng (1.2.49-1maemo1+0cssu1+thumb0) unstable; urgency=high

  * Thumb2 compiled

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Tue, 27 Dec 2012 09:45:22 +0200

libpng (1.2.49-1maemo1+0cssu1) unstable; urgency=high

  * Repackage for maemo
  * Several CVE fixes since last maemo package (1.2.37-1)

 -- Ludek Finstrle <luf@pzkagis.cz>  Wed, 19 Dec 2012 23:06:31 +0100
