## libpng 1.2.49-1maemo1+0cssu4

=== debian/changelog ===
libpng (1.2.49-1maemo1+0cssu4) unstable; urgency=high

  * Add CVE-2015-7981.patch patch.
    CVE-2015-7981: Out-of-bounds read in png_convert_to_rfc1123.
    (Closes: #803078)
  * Add Prevent-writing-over-length-PLTE-chunk-Cosm.patch patch.
    CVE-2015-8126: Multiple buffer overflows in the png_set_PLTE and
    png_get_PLTE functions. (Closes: #805113)
  * Add Fixed-new-bug-with-CRC-error-after-reading-.patch patch.
    Fixed new bug with CRC error after reading an over-length palette.
  * Add patches to address CVE-2015-8472.
    CVE-2015-8472: Incomplete fix for callers on png_set_PLTE.
    (Closes: #807112)
  * Add CVE-2015-8540.patch patch.
    CVE-2015-8540: underflow read in png_check_keyword(). (Closes: #807694)

 -- Ludek Finstrle <luf@seznam.cz>  Sun,  7 Feb 2016 23:53:05 +0100
