=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: libpng
 Section: libs
 Priority: optional
-Maintainer: Ludek Finstrle <luf@pzkagis.cz>
+Maintainer: Ludek Finstrle <luf@seznam.cz>
 XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: debhelper (>= 5), libtool, automake, autoconf, quilt (>= 0.40), zlib1g-dev, mawk
+Build-Depends: debhelper (>= 5), libtool, automake, autoconf, quilt (>= 0.40), zlib1g-dev
 Standards-Version: 3.8.0
 Homepage: http://libpng.org/pub/png/libpng.html
 
 Package: libpng12-0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround[armel]
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpng12-dev (<= 1.2.8rel-7), mzscheme (<= 1:209-5), pngcrush (<= 1.5.10-2), pngmeta (<= 1.11-3), qemacs (<= 0.3.1-5), povray-3.5 (<= 3.5.0c-10)
 Replaces: libpng12-dev (<= 1.2.8rel-7)
 Pre-Depends: ${misc:Pre-Depends}
@@ -49,7 +49,7 @@
 Package: libpng3
 Section: oldlibs
 Architecture: all
-Depends: ${misc:Depends}, libpng12-0 (>= 1.2.5.0-2), kernel-feature-errata-430973-workaround[armel]
+Depends: ${misc:Depends}, libpng12-0 (>= 1.2.5.0-2)
 Description: PNG library - runtime
  libpng is a library implementing an interface for reading and writing
  PNG (Portable Network Graphics) format files.
