## libpng 1.2.50

=== debian/changelog ===
libpng (1.2.50-2+deb8u3) jessie; urgency=medium

  * debian/patches/CVE-2016-10087.patch:
    - cherry-pick upstream fix for CVE-2016-10087

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Jan 2017 18:21:33 +0100

libpng (1.2.50-2+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patches to address CVE-2015-8472.
    CVE-2015-8472: Incomplete fix for callers on png_set_PLTE. (Closes: #807112)
  * Add CVE-2015-8540.patch patch.
    CVE-2015-8540: underflow read in png_check_keyword(). (Closes: #807694)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 07 Jan 2016 20:05:55 +0100

libpng (1.2.50-2+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2015-7981.patch patch.
    CVE-2015-7981: Out-of-bounds read in png_convert_to_rfc1123.
    (Closes: #803078)
  * Add Prevent-writing-over-length-PLTE-chunk-Cosm.patch patch.
    CVE-2015-8126: Multiple buffer overflows in the png_set_PLTE and
    png_get_PLTE functions. (Closes: #805113)
  * Add Fixed-new-bug-with-CRC-error-after-reading-.patch patch.
    Fixed new bug with CRC error after reading an over-length palette.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 17 Nov 2015 19:21:32 +0100

libpng (1.2.50-2) unstable; urgency=medium

  * Merge 1.2.50-1ubuntu3.
    Closes: #689092.
  * Use defaults for dh_builddeb.
  * Remove debian/source/options.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 26 Jul 2014 03:27:02 +0100

libpng (1.2.50-1ubuntu3) utopic; urgency=medium

  * Make the -dev package Multi-Arch: same. Closes: #689092.
  * Don't hard-code the libdir in libpng-config, and error out when
    using the libpng-config --libdir option.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jun 2014 11:20:33 +0200

libpng (1.2.50-1ubuntu2) trusty; urgency=medium

  * Add debian/patches/02-required-space.patch, thanks to Dan Kegel for the
    patch. (LP: #1298779)

 -- Brian Murray <brian@ubuntu.com>  Mon, 31 Mar 2014 14:20:51 -0700

libpng (1.2.50-1ubuntu1) trusty; urgency=medium

  * Merge from Debian testing. Remaining changes:
    - Revert to gzip compression for libpng12-0's data tarball. Packages in
      the base system may not use bzip2.
  * Drop our autopkgtest changes, debian has those now

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 31 Jan 2014 06:41:50 +1100

libpng (1.2.50-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.5.
  * Add support autopkgtest. (Closes: #693047)
    Thanks Rafał Cieślak, Martin Pitt and Jakub Wilk.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 27 Jan 2014 11:51:01 +0900

libpng (1.2.49-5ubuntu1) trusty; urgency=low

  * Merge from Debian testing. Remaining changes:
    - Revert to gzip compression for libpng12-0's data tarball. Packages in
      the base system may not use bzip2.
    - Add debian/tests: Simple compile/link/run autopkgtest

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 22 Oct 2013 06:41:11 +1100

libpng (1.2.49-5) unstable; urgency=low

  [ Slテ。vek Banko ]
  * Ship /usr/lib/${DEB_HOST_MULTIARCH}/libpng12.so.0 symlink
    in libpng12-0, instead of libpng12-dev. (Closes: #713270)

  [ Anibal Monsalve Salazar ]
  * Standards-Version: 3.9.4
  * Fix Lintian issue:
    - libpng source: brace-expansion-in-debhelper-config-file
      debian/libpng12-dev.install

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 06 Oct 2013 10:31:53 +1100

libpng (1.2.49-4ubuntu1) saucy; urgency=low

   * Merge from Debian unstable. Remaining changes:
    - Revert to gzip compression for libpng12-0's data tarball. Packages in
      the base system may not use bzip2.
    - Add debian/tests: Simple compile/link/run autopkgtest

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 22 Aug 2013 16:05:43 +1000

libpng (1.2.49-4) unstable; urgency=low

  [ Andreas Beckmann ]
  * libpng12-dev: Ship /usr/lib/${DEB_HOST_MULTIARCH}/libpng12.so.0 ->
    /lib/${DEB_HOST_MULTIARCH}/libpng12.so.0 symlink, too, to prevent ldconfig
    from playing ping-pong with the SONAME link.  (Closes: #706181)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 26 Apr 2013 16:42:23 +1000

libpng (1.2.49-3) unstable; urgency=low

  * Remove patches/02-681408-CVE-2012-3386-Makefile.in.patch.
    This patch is unnecessary. This issue is already fixed in automake.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 28 Aug 2012 16:22:51 +0900

libpng (1.2.49-2) unstable; urgency=high

  * Change "a+w" to "u+w" in Makefile.in to fix CVE-2012-3386
    Add 02-681408-CVE-2012-3386-Makefile.in.patch
    Closes: #681408

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 13 Jul 2012 12:31:39 +1000

libpng (1.2.49-1ubuntu2) raring; urgency=low

  * Add debian/tests: Simple compile/link/run autopkgtest. (LP: #1073538)

 -- Rafał Cieślak <rafalcieslak256@ubuntu.com>  Wed, 31 Oct 2012 16:43:53 +0100

libpng (1.2.49-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Revert to gzip compression for libpng12-0's data tarball. Packages in
      the base system may not use bzip2.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 May 2012 10:13:23 -0400
