## libpng 1.2.54

=== debian/changelog ===
libpng (1.2.54-6) unstable; urgency=high

  * Team upload.
  * Stop providing libpng3 together with libpng3-dev too
    (Closes: #789815)
    - thanks Laurent Bigonville for the heads up!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Apr 2016 14:48:42 +0200

libpng (1.2.54-5) unstable; urgency=medium

  * Team upload.
  * Stop providing libpng-dev and libpng3 (Closes: #789815, #820836)
    - thanks to Laurent Bigonville and Jean-Michel Vourgère for the
      bug reports!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Apr 2016 11:44:44 +0200

libpng (1.2.54-4) unstable; urgency=medium

  [ Marco d'Itri ]
  * Drop spurious library link. (Closes: #766809)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 01 Mar 2016 09:15:01 +0000

libpng (1.2.54-3) unstable; urgency=medium

  * Revert the changes in 1.2.54-2.
    Closes: #814971.
  * debhelper compat is 9.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 17 Feb 2016 09:57:30 +0000

libpng (1.2.54-2) unstable; urgency=medium

  [ Marco d'Itri ]
  * Drop spurious library link (Closes: #766809)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 16 Feb 2016 13:24:44 +0000

libpng (1.2.54-1) unstable; urgency=medium

  * New upstream release. (Closes: #803078, #805113)
  * Remove patches/02-required-space.patch.
    Already applied in upstream.
  * Bumped standards version to 3.9.6.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 18 Nov 2015 11:00:42 +0900
