=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 config.status: configure
 	dh_testdir
-	#cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
+	cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
 	./autogen.sh
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr --mandir=\$${prefix}/share/man \
@@ -46,7 +46,7 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-	set -e; for file in libpng12-0.install libpng12-0.links libpng12-dev.links libpng3.links; \
+	set -e; for file in libpng12-0.install libpng12-dev.links; \
 	do \
 		sed -e"s,\$${DEB_HOST_MULTIARCH},${DEB_HOST_MULTIARCH},g" \
 			debian/$${file}.in > debian/$$file; \
