## libpng 1.5.6

=== debian/changelog ===
libpng (1.5.6-1) experimental; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 07 Nov 2011 12:35:59 +0900

libpng (1.5.5-1) experimental; urgency=low

  * New upstream release.
  * Fix lintian error: udeb-uses-non-gzip-data-tarball.
    Changeed option of dh_builddeb for every package.
  * Fix lintian warning: brace-expansion-in-debhelper-config-file.
    Remove brace-expansion from debian/libpng-dev.install.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 26 Oct 2011 12:35:05 +0900

libpng (1.5.4-2) experimental; urgency=low

  * Port Steve Langasek's changes for 1.2.46-1
    - Build for multiarch. Closes: 634151
    - Drop debian/libpng15-15-udeb.dirs, which just adds a pointless empty
      directory to the udeb
  * Update debian/docs and debian/libpng15-15.docs
  * Add debian/libpng15-15.doc-base
  * Build-Depend on autotools-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 19 Jul 2011 00:49:57 +1000

libpng (1.5.4-1) experimental; urgency=low

  * New upstream release (Closes: #633871).
    - Fix CVE: CVE-2011-2690
      Buffer overwrite in png_rgb_to_gray
    - CVE: CVE-2011-2691
      Crash in png_default_error due to use of NULL Pointer
    - CVE: CVE-2011-2692
      Memory corruption when handling empty sCAL chunks
    - Remove patches/02-632786-CVE-2011-2501.patch. Applied to upstream.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 15 Jul 2011 12:01:42 +0900

libpng (1.5.2-3) experimental; urgency=low

  * Rename libpng15-dev to libpng-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 06 Jul 2011 13:14:03 +1000

libpng (1.5.2-2) experimental; urgency=low

  * Fix 1-byte uninitialized memory reference in png_format_buffer()
    Fix CVE-2011-2501
    Add debian/patches/02-632786-CVE-2011-2501.patch
    Closes: 632786
  * Pass "-Zbzip2 -z9" to dpkg-deb
  * Fix xc-package-type-in-debian-control
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 06 Jul 2011 11:27:05 +1000

libpng (1.5.2-1) experimental; urgency=low

  * New upstream release (Closes: #565821, #574257, #606867).
  * Remove Sam Hocevar from Uploaders.
  * Add myself to Uploaders.
  * Remove libtool, automake and autoconf from Build-depends.
  * Disable practice of autogen.sh from debian/rules.
  * Remove support libpng3 package (Closes: #369104, #615558).
  * Update debian/copyright.
    - Update copyright holder.
    - Add new license for contrib/pngsuite (Closes: #615558).
  * Remove patches directory.
  * Add libpng15-dev.lintian-overrides.
    Overrides manpage-has-errors-from-man usr/share/man/man3/libpng.3.gz.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 09 Jun 2011 21:37:11 +0900
