=== debian/control ===
Source: libpng
Section: libs
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 8.1.3), zlib1g-dev, mawk, autotools-dev
Standards-Version: 3.9.2
Homepage: http://libpng.org/pub/png/libpng.html

Package: libpng15-15
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpng12-dev (<= 1.2.8rel-7), mzscheme (<= 1:209-5), pngcrush (<= 1.5.10-2), pngmeta (<= 1.11-3), qemacs (<= 0.3.1-5), povray-3.5 (<= 3.5.0c-10)
Replaces: libpng12-dev (<= 1.2.8rel-7)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: PNG library - runtime
 libpng is a library implementing an interface for reading and writing
 PNG (Portable Network Graphics) format files.
 .
 This package contains the runtime library files needed to run software
 using libpng.

Package: libpng-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpng15-15 (= ${binary:Version}), zlib1g-dev
Conflicts: libpng2-dev, libpng15-dev, libpng12-0-dev, libpng2 (<< 1.0.12-3)
Provides: libpng15-15-dev
Replaces: libpng3-dev (<= 1.2.5), libpng15-15-dev
Description: PNG library - development
 libpng is a library implementing an interface for reading and writing
 PNG (Portable Network Graphics) format files.
 .
 This package contains the header and development files needed to build
 programs and packages using libpng.

Package: libpng15-15-udeb
Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PNG library - minimal runtime library
 libpng is a library implementing an interface for reading and writing
 PNG (Portable Network Graphics) format files.
 .
 This package provides the minimal libpng15 runtime library needed for
 the debian-installer.
