## libpng 1.5.7

=== debian/changelog ===
libpng (1.5.7-2) experimental; urgency=low

  * Fix typo from PPFLAGS to CPPFLAGS.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 09 Jan 2012 21:39:33 +0900

libpng (1.5.7-1) experimental; urgency=low

  * New upstream release.
  * Update debian/rules.
    Enabled hardened build flags. (Closes: #654149)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 09 Jan 2012 21:02:50 +0900
