## libpng 1.5.9

=== debian/changelog ===
libpng (1.5.9-1) experimental; urgency=low

  * New upstream version 1.5.9

    The purpose of this release is to fix the dangerous CVE-2011-3026.
    The libpng patch is different from the one that was distributed
    earlier by Chromium, in that the libpng user limit feature is not
    crippled by the patch.

    Remove 02-660026-CVE-2011-3026.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 19 Feb 2012 12:22:43 +1100

libpng (1.5.8-1) experimental; urgency=high

  * New upstream release.
    Fix a one-byte (stack) buffer-overrun bug in
    png_formatted_warning(), which could lead to crashes (denial of
    service) or, conceivably, execution of hostile code.
    This vulnerability has been assigned ID CVE-2011-3464.
  * Check for both truncation (64-bit platforms) and integer overflow
    Fix CVE-2011-3026
    Add 02-660026-CVE-2011-3026.patch
    Closes: 660026

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 16 Feb 2012 09:18:13 +1100
